Bug 1883388 - Bare Metal Hosts Details page doesn't show Mainitenance and Power On/Off status
Summary: Bare Metal Hosts Details page doesn't show Mainitenance and Power On/Off status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Metal3 Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Jiri Tomasek
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-29 02:17 UTC by Yadan Pei
Modified: 2021-02-24 15:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:21:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
BMH Details Page not showing Maintenance status (396.62 KB, image/png)
2020-09-29 02:17 UTC, Yadan Pei
no flags Details
BMH List page show Under Maintenance status (310.28 KB, image/png)
2020-09-29 02:18 UTC, Yadan Pei
no flags Details
BMH List page show Powered off status (45.69 KB, image/png)
2020-09-29 02:19 UTC, Yadan Pei
no flags Details
BMH Details Page not showing Powered off status (150.58 KB, image/png)
2020-09-29 02:19 UTC, Yadan Pei
no flags Details
Starting Maintenance status (30.89 KB, image/png)
2021-02-08 01:13 UTC, Yadan Pei
no flags Details
Under Maintenance status (111.47 KB, image/png)
2021-02-08 01:13 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7764 0 None closed Bug 1883388: Show maintenance and power status in BMH status card 2021-02-04 02:56:12 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:21:56 UTC

Description Yadan Pei 2020-09-29 02:17:46 UTC
Created attachment 1717390 [details]
BMH Details Page not showing Maintenance status

Description of problem:
When a BMH is under maintenance, Nodes List page, Nodes Details page, Bare Metal Hosts list page are all showing `Under Maintenance` status, only on Bare Metal Hosts Details page, the status is still 'Provisioned'

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-09-27-075304

How reproducible:
Always

Steps to Reproduce:
1. Install CNV operator and create Node Maintenance CR
2. a node matching Node Maintenance CR will be set to Maintenance mode
3. check node status on Nodes List page, Nodes Details page, Bare Metal Hosts list page, Bare Metal Hosts Details page

Actual results:
3. Only on Bare Metal Hosts Details page it is still showing 'Privisioned' status, on other pages it is showing 'Under Maintenance' status

Expected results:
3. Bare Metal Hosts Details page should also include Maintenance status

Additional info:
It seems Power On/Power Off status are not shown either

Comment 1 Yadan Pei 2020-09-29 02:18:31 UTC
Created attachment 1717391 [details]
BMH List page show Under Maintenance status

Comment 2 Yadan Pei 2020-09-29 02:19:01 UTC
Created attachment 1717392 [details]
BMH List page show Powered off status

Comment 3 Yadan Pei 2020-09-29 02:19:33 UTC
Created attachment 1717393 [details]
BMH Details Page not showing Powered off status

Comment 5 Yadan Pei 2021-02-08 01:12:29 UTC
1. Install IPI on BM cluster
2. Subscribe Node Maintenance Operator following steps https://github.com/kubevirt/node-maintenance-operator#deploy-the-latest-version
$ git clone git@github.com:kubevirt/node-maintenance-operator.git
$ oc login xxxx
$ oc apply -f deploy/deployment-ocp/catalogsource.yaml

then goes to OperatorHub and subscribe NMO to 'openshift-machine-api' namespace
3. Goes to Nodes -> Bare Metal Hosts page, click kebab button of any BMH and choose 'Start Maintenance'
4. Check BMH status, Power on/off and Maintenance status are shown, see screenshot

Verified on 4.7.0-0.nightly-2021-02-06-084550 and NMO 0.9.0

Comment 6 Yadan Pei 2021-02-08 01:13:00 UTC
Created attachment 1755563 [details]
Starting Maintenance status

Comment 7 Yadan Pei 2021-02-08 01:13:26 UTC
Created attachment 1755564 [details]
Under Maintenance status

Comment 10 errata-xmlrpc 2021-02-24 15:21:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.